libpar-perl (1.015-1) unstable; urgency=medium

  * Import upstream version 1.015.
  * Update debian/upstream/metadata.
  * debian/copyright: drop information about removed files.
  * Update years of packaging copyright.
  * Update Upstream-Contact in debian/*.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Aug 2017 23:36:13 -0400

libpar-perl (1.014-1) unstable; urgency=medium

  * Import upstream version 1.014
  * Update years of packaging copyright.
  * Add debian/tests/pkg-perl/smoke-setup.
    The tests need a generated file now.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Dec 2016 21:59:14 +0100

libpar-perl (1.011-1) unstable; urgency=medium

  * Team upload

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Remove Chris Butler from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Florian Schlichting ]
  * New upstream version 1.011
  * Update upstream metadata (Repository)
  * Update Homepage field - par.perl.org is gone
  * Don't try to install TODO, dropped upstream
  * Update lintian override (line number)
  * Declare compliance with Debian Policy 3.9.8

 -- Florian Schlichting <fsfs@debian.org>  Tue, 11 Oct 2016 21:02:51 +0200

libpar-perl (1.010-1) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Florian Schlichting ]
  * Add debian/upstream/metadata
  * Import upstream version 1.010
  * Drop pod-encoding.patch, applied upstream
  * Delete copyright paragraphs for included modules dropped upstream
  * Bump dh compat to level 9
  * Declare compliance with Debian Policy 3.9.6
  * Mark package autopkgtest-able
  * Update lintian override

 -- Florian Schlichting <fsfs@debian.org>  Fri, 13 Nov 2015 22:57:24 +0100

libpar-perl (1.007-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Refresh fix-test_50-autoloaderfix.t.patch (offset).
  * Add pod-encoding.patch to fix encoding in POD. (Closes: #710963)
  * Update copyright years.
  * debian/copyright: switch formatting to Copyright-Format 1.0.
  * Bump debhelper compatibility level to 8.
  * Set Standards-Version to 3.9.4 (no further changes).

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Jun 2013 16:15:00 +0200

libpar-perl (1.005-1) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Imported Upstream version 1.005
    - Fixes CVE-2011-4114: PAR packed files are extracted to unsafe
      and predictable temporary directories. (Closes: #650707).
  * Refresh debian/copyright file.
    Update copyright years for included inc/Module/* files.
    Remove copyright stanza for inc/Test/Builder/IO/Scalar.pm as this is not
    included anymore in the source package.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 03 Dec 2011 21:50:05 +0100

libpar-perl (1.002-2) unstable; urgency=low

  * Team upload.

  [ Gunnar Wolf ]
  * Gunnar Wolf removed from Uploaders.

  [ Salvatore Bonaccorso ]
  * debian/control:
    - Drop libdigest-sha1-perl from Depends.
    - Drop libfile-temp-perl from (Build-)Depends(-Indep) as File::Temp
      0.05 is in Perl core already satisfied in Lenny.
  * Bump Standards-Version to 3.9.2.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 27 Apr 2011 21:08:42 +0200

libpar-perl (1.002-1) unstable; urgency=low

  * New upstream release
    + Extract everything in File::ShareDir directories [RT#57399]
  * Standards-Version 3.9.1 (no changes)
  * Refresh copyright information
  * Drop version deps satisfied by oldstable

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 25 Dec 2010 00:35:30 -0500

libpar-perl (1.000-1) unstable; urgency=low

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.

  [ Chris Butler ]
  * New upstream release
  * Switched to source format 3.0 (quilt), removed quilt framework.
  * Upped Standards-Version to 3.8.4 (no changes required)
  * Add myself to Uploaders

 -- Chris Butler <chrisb@debian.org>  Tue, 13 Apr 2010 20:21:13 +0100

libpar-perl (0.994-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Fixed INC priority handling for PAR::Heavy
    + Don't reload from downloaded .par files after installing via 'upgrade'
    + Band-aid fix for loading priority of shared libraries from PAR files:
      try PAR's first, then local stuff, then fallback-PARs
    + Support for running external Perl scripts from a packaged interpreter
  * Add myself to Copyright and Uploaders
  * Standards-Version 3.8.2 (no changes)
  * Use new short debian/rules format
    + Requires debhelper >= 7.0.50 and quilt >= 0.46-7
  * Trim down build dependencies (in particular, don't install Module::Signature
    or gnupg) -- these aren't required for building nor for tests

  [ gregor herrmann ]
  * Add a lintian override for a man warning about a long line.

 -- Jonathan Yu <frequency@cpan.org>  Mon, 27 Jul 2009 07:01:28 -0400

libpar-perl (0.992-1) unstable; urgency=low

  [ Krzysztof Krzyżaniak (eloy) ]
  * New upstream release
  * debian/control: update Standards-Version to 3.8.1

  [ gregor herrmann ]
  * Remove Florian Ragwitz from Uploaders (closes: #523283).
  
 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Wed, 22 Apr 2009 10:26:53 +0200

libpar-perl (0.991-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Thu, 12 Mar 2009 11:02:12 +0100

libpar-perl (0.988-1) unstable; urgency=low

  * New upstream release

 -- Antonio Radici <antonio@dyne.org>  Tue, 03 Mar 2009 23:50:32 +0000

libpar-perl (0.986-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
  * Adding me to the Uploaders

  [ gregor herrmann ]
  * Remove lintian override, not needed any more.

 -- Antonio Radici <antonio@dyne.org>  Fri, 27 Feb 2009 23:25:18 +0000

libpar-perl (0.984-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/copyright: update according to upstream changes, new years for
    packaging copyright.
  * Add a header to fix-test_50-autoloaderfix.t.patch.

 -- gregor herrmann <gregoa@debian.org>  Fri, 30 Jan 2009 15:19:14 +0100

libpar-perl (0.983-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bump (build) dependency on libpar-dist-perl to >= 0.32.
  * Refresh lintian-override.
  * Set debhelper compatibility level to 7; adapt
    debian/{control,compat,rules}.
  * debian/copyright: switch to new format.

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Sep 2008 23:23:25 +0200

libpar-perl (0.982-2) unstable; urgency=low

  * drop the (>= 0.05) from libfile-temp-perl dependency as
    perl-modules has 0.12 since 5.006. Closes: #497170.
    Thanks to Niko Tyni for spotting and analysis.

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Aug 2008 18:50:28 +0300

libpar-perl (0.982-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  
  [ Gunnar Wolf ]
  * New upstream release
  * Standards version -> 3.8.0
  * Added myself as an uploader

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 11 Aug 2008 16:21:49 -0500

libpar-perl (0.980-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 May 2008 17:38:34 +0200

libpar-perl (0.979-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update years of copyright.
  * Refresh debian/rules, no functional changes.
  * debian/control:
    - remove unnecessary ${shlibs:Depends} from Depends
    - add /me to Uploaders
  * Add lintian override for a warning about a long line in a manpage which
    is caused by an example with a long hash value.

 -- gregor herrmann <gregoa@debian.org>  Fri, 16 May 2008 16:50:07 +0200

libpar-perl (0.977-1) unstable; urgency=low

  [ David Paleino ]
  * New upstream release
  * debian/control:
    - updating Standards-Versions to 3.7.3

  [ gregor herrmann ]
  * debian/rules: delete /usr/lib/perl5 only if it exists.

  [ Damyan Ivanov ]
  * clean Uploaders
  * debhelper compatibility level 6
  * debian/rules: stop setting CFLAGS, we don't compile anything
  * debian/watch: version 3; use dist-based URL; add v? to the pattern;
    require that the version starts with a digit
  * set Homepage: to http://par.perl.org/

 -- Damyan Ivanov <dmn@debian.org>  Thu, 10 Jan 2008 10:13:31 +0200

libpar-perl (0.976-2) unstable; urgency=high

  * Remove leftover symlink /usr/share/man/man1/parldyn.1p.gz,
    parldyn is in libpar-packer-perl now. (Closes: #450916)
  * High urgency due to an RC bugfix.
  * fix inter-target dependencies in debian/rules to allow parallel build

 -- Niko Tyni <ntyni@iki.fi>  Fri, 16 Nov 2007 16:43:34 +0200

libpar-perl (0.976-1) unstable; urgency=low

  [ Niko Tyni ]
  * Updated dependencies on libmodule-scandeps-perl and libpar-dist-perl.
  * Don't ignore the return value of 'make distclean'.

  [ David Paleino ]
  * New upstream release (Closes: #419263)
  * debian/control:
    - added myself to Uploaders field (and wrapped it)
    - Build-Depends field wrapped
    - Depends field wrapped
    - Homepage field added
    - dependencies updated

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed:
    Homepage pseudo-field (Description); XS-Vcs-Svn fields.

  [ Damyan Ivanov ]
  * Merged unreleased changelogs
  * Do not ignore test failures
  * Really enable POD tests
  * Change architecture to all
  * Move test suite from install to build target
  * Add a patch to avoid endless loop in t/50-autoloaderfix.t
  * Recommend libpar-packer-perl, which got spun-off upstream
  * Freshen-up copyright&licensing statements after the split

 -- Damyan Ivanov <dmn@debian.org>  Wed, 17 Oct 2007 13:05:40 +0300

libpar-perl (0.952-1) unstable; urgency=low

  * New upstream release.
  * Set debhelper compatibility level to 5.
  * Add libinline-perl to build dependencies.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Sat,  2 Sep 2006 19:45:59 +0200

libpar-perl (0.942-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   + libmodule-scandeps-perl dependency updated to (>= 0.62)
   + libpar-dist-perl dependency updated to (>= 0.13)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 28 Jul 2006 14:46:54 +0200

libpar-perl (0.94.1-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 27 Jun 2006 17:37:34 +0200

libpar-perl (0.94-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   - libmodule-scandeps-perl dependency updated to (>= 0.60)
   - libgetopt-argvfile-perl (>= 1.07) added to dependencies

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Sun,  4 Jun 2006 23:28:22 +0200

libpar-perl (0.93-1) unstable; urgency=low

  * New upstream release
  * debian/control:
   - Standards-Version: increased to 3.7.2 without additional changes
   - Some tweaks in long description

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 23 May 2006 14:30:43 +0200

libpar-perl (0.92-1) unstable; urgency=low

  * New upstream release
  * debian/control: increased version of libmodule-scandeps-perl and libpar-dist-perl

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue,  7 Mar 2006 16:53:36 +0100

libpar-perl (0.91-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 17 Feb 2006 09:49:58 +0100

libpar-perl (0.90-2) unstable; urgency=low

  * debian/rules - rewritten, binary-indep are now binary-arch and vice-versa.
    (closes: #348497)  
  
 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Tue, 17 Jan 2006 13:55:39 +0100

libpar-perl (0.90-1) unstable; urgency=low

  * New upstream release (closes: #343734)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Sat, 17 Dec 2005 18:36:20 +0100

libpar-perl (0.89-1) unstable; urgency=low

  * Initial Release.

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Mon, 21 Nov 2005 09:38:51 +0100
